SDL_PostSemaphore(3)

NAME
SDL_PostSemaphore - Atomically increment a semaphore's value and wake waiting threads.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_PostSemaphore(SDL_Semaphore *sem);

FUNCTION PARAMETERS

sem the semaphore to increment

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_TryWaitSemaphore(3), SDL_WaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)